import request from '@/utils/request';

/**
* 打印标签
* */
export function printLabel(data: any) {
  return request({
    url: '/api/label/labelPrintTest',
    method: 'post',
    data: data,
  });
}

export function printLabel2(data: any) {
  return request({
    url: '/api/label/labelPrintTest2',
    method: 'post',
    data: data,
  });
}



export function printLabelWithRemark(data: any) {
  return request({
    url: '/api/label/existingStockLabel',
    method: 'post',
    data: data,
  });
}

/**
* 获取打印机
* */
export function Getprinter(data: any) {
  return request({
    url: '/api/label/getPrinters',
    method: 'post',
    data: data,
  });
}

/**
 *
 * @param data
 */
export function updateRemark(data: any) {
  return request({
    url: '/api/label/updateRemark',
    method: 'post',
    data: data,
  });
}
/**
 *
 * @param data
 */
export function updateTruegg(data: any) {
  return request({
    url: '/api/label/updateTruegg',
    method: 'post',
    data: data,
  });
}

export function getSdkList(data: any) {
  return request({
    url: '/api/label/getSDKSPEC',
    method: 'post',
    data: data,
  });
}

export function getUnitList(data: any) {
  return request({
    url: '/api/label/getUnitData',
    method: 'post',
    data: data,
  });
}

export function getTrackOutBox(data: any) {
  return request({
    url: '/api/label/TrackOutBox',
    method: 'post',
    data: data,
  });
}

export function getSpecList(data: any) {
  return request({
    url: '/api/label/getSpecList',
    method: 'post',
    data: data,
  });
}

export function labelMaterial(data: any) {
  return request({
    url: '/api/label/labelMaterial',
    method: 'post',
    data: data,
  });
}

export function updateCareerAssistance(data: any) {
  return request({
    url: '/api/label/updateCareerAssistance',
    method: 'post',
    data: data,
  });
}

/**
 * 物料维护修改
 */
export function checkMaterialPack(data: any) {
  return request({
    url: '/api/label/checkMaterialPack',
    method: 'post',
    data: data,
  });
}